'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var styled = _interopDefault(require('styled-components'));

var slicedToArray = function () {
  function sliceIterator(arr, i) {
    var _arr = [];
    var _n = true;
    var _d = false;
    var _e = undefined;

    try {
      for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"]) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  return function (arr, i) {
    if (Array.isArray(arr)) {
      return arr;
    } else if (Symbol.iterator in Object(arr)) {
      return sliceIterator(arr, i);
    } else {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }
  };
}();

var taggedTemplateLiteral = function (strings, raw) {
  return Object.freeze(Object.defineProperties(strings, {
    raw: {
      value: Object.freeze(raw)
    }
  }));
};

var _templateObject = taggedTemplateLiteral(["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n  "], ["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n  "]);

function PhoneOnly(_ref) {
  var children = _ref.children,
      visibleTo = _ref.visibleTo;

  var _React$useState = React.useState(visibleTo),
      _React$useState2 = slicedToArray(_React$useState, 1),
      state = _React$useState2[0];
  /*
  'min-width' need to have in the code +1 to have on the screen the correct result,
  and 'max-width' -1. In the case of PhoneOnly we have in the code default 600px
  to show content up to 599px, in the official docs, we also say default is 599px
  because what happens in the code doesn't matter to the user of the library,
  the expected result in the Browser is important.
  */


  var PhoneOnly = styled.div(_templateObject, state ? state + 1 : 600);

  return React.createElement(
    PhoneOnly,
    null,
    children
  );
}

var _templateObject$1 = taggedTemplateLiteral(["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n    @media (max-width: ", "px) {\n      display: none;\n    }\n  "], ["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n    @media (max-width: ", "px) {\n      display: none;\n    }\n  "]);

function DesktopOnly(_ref) {
  var children = _ref.children,
      visibleTo = _ref.visibleTo,
      visibleFrom = _ref.visibleFrom;

  var _React$useState = React.useState(visibleTo),
      _React$useState2 = slicedToArray(_React$useState, 1),
      visibleToState = _React$useState2[0];

  var _React$useState3 = React.useState(visibleFrom),
      _React$useState4 = slicedToArray(_React$useState3, 1),
      visibleFromState = _React$useState4[0];
  /*
  'min-width' need to have in the code +1 to have on the screen the correct result,
  and 'max-width' -1. In the case of PhoneOnly we have in the code default 600px
  to show content up to 599px, in the official docs, we also say default is 599px
  because what happens in the code doesn't matter to the user of the library,
  the expected result in the Browser is important.
  */


  var DesktopOnly = styled.div(_templateObject$1, visibleToState ? visibleToState + 1 : 1800, visibleFromState ? visibleFromState - 1 : 1199);

  return React.createElement(
    DesktopOnly,
    null,
    children
  );
}

var _templateObject$2 = taggedTemplateLiteral(["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n    @media (max-width: ", "px) {\n      display: none;\n    }\n  "], ["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n    @media (max-width: ", "px) {\n      display: none;\n    }\n  "]);

function TabletPortaitOnly(_ref) {
  var children = _ref.children,
      visibleTo = _ref.visibleTo,
      visibleFrom = _ref.visibleFrom;

  var _React$useState = React.useState(visibleTo),
      _React$useState2 = slicedToArray(_React$useState, 1),
      visibleToState = _React$useState2[0];

  var _React$useState3 = React.useState(visibleFrom),
      _React$useState4 = slicedToArray(_React$useState3, 1),
      visibleFromState = _React$useState4[0];

  var TabletPortaitOnly = styled.div(_templateObject$2, visibleToState ? visibleToState + 1 : 900, visibleFromState ? visibleFromState - 1 : 599);

  return React.createElement(
    TabletPortaitOnly,
    null,
    children
  );
}

var _templateObject$3 = taggedTemplateLiteral(["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n    @media (max-width: ", "px) {\n      display: none;\n    }\n  "], ["\n    @media (min-width: ", "px) {\n      display: none;\n    }\n    @media (max-width: ", "px) {\n      display: none;\n    }\n  "]);

function TabletLandscapeOnly(_ref) {
  var children = _ref.children,
      visibleTo = _ref.visibleTo,
      visibleFrom = _ref.visibleFrom;

  var _React$useState = React.useState(visibleTo),
      _React$useState2 = slicedToArray(_React$useState, 1),
      visibleToState = _React$useState2[0];

  var _React$useState3 = React.useState(visibleFrom),
      _React$useState4 = slicedToArray(_React$useState3, 1),
      visibleFromState = _React$useState4[0];
  /*
  'min-width' need to have in the code +1 to have on the screen the correct result,
  and 'max-width' -1. In the case of PhoneOnly we have in the code default 600px
  to show content up to 599px, in the official docs, we also say default is 599px
  because what happens in the code doesn't matter to the user of the library,
  the expected result in the Browser is important.
  */


  var TabletLandscapeOnly = styled.div(_templateObject$3, visibleToState ? visibleToState + 1 : 1200, visibleFromState ? visibleFromState - 1 : 899);

  return React.createElement(
    TabletLandscapeOnly,
    null,
    children
  );
}

exports.PhoneOnly = PhoneOnly;
exports.DesktopOnly = DesktopOnly;
exports.TabletPortaitOnly = TabletPortaitOnly;
exports.TabletLandscapeOnly = TabletLandscapeOnly;
//# sourceMappingURL=index.js.map
